# VECMPI

VECMPI = "mpi" - The basic parallel vector

### Options Database Keys

-vec_type mpi -sets the vector type to VECMPI during a call to VecSetFromOptions()

### See Also

VecCreate(), VecSetType(), VecSetFromOptions(), VecCreateMpiWithArray(), VECMPI, VecType, VecCreateMPI(), VecCreateMpi()

Level:beginner
Location: src/vec/vec/impls/mpi/pbvec.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex33f.F.html